Kerbal Space Program - Bug #18146

"To the Mun via Minmus", broke
03/21/2018 02:42 PM - jclovis3

Status: Updated Start date: 03/21/2018
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

Making History mission "To the Mun via Minmus", does not show objectives for Muna 2 operating around the Mun. Also, most of the
time when crashing Muna 2 onto Mun, mission doesn't end. | verified the KSC was within line of site to Muna 2 because the comm
network had direct connection to the KSC.

History

#1 - 03/21/2018 05:00 PM - diomedea

- Status changed from New to Need More Info

Can't get from the pictures if you actually performed as required about Munai: you must crash it on Minmus for the mission to proceed further, allow
to build Muna2 and state the new objectives. From one of the pictures, seems as if you actually renamed Muna1 to Muna2 instead.
Please provide a save of the mission to show its state.

#2 - 03/21/2018 08:23 PM - MechBFP

The problem is the staging. If you decouple the mystery goo probe, the rest of the rocket ship gets called “Muna 2 Probe” and crashing it does
nothing.
The missions specifically asks you to stage but you MUST NOT to actually complete the mission.

#3 - 03/22/2018 12:54 AM - jclovis3

| figured that out with the first ship on Minmus. For Mun, | did not decouple them. This also seems to be a fuel challenge as | find myself having to use
RCS for the later course corrections and have yet to figure out how I'm going to hit that bonus marker before running out. Not sure if the crash has to
be facing Kerbin or not as it doesn't seem to acknowledge the crash other than having "no target" afterward. It seems silly to me that the ship would
be built with this extra probe if they were not meant for separation. Also, as you can see the option to rename vessels is still enabled. This might be a
logic bug if the mission builder is looking for a ship by its name and not some other identity like a fixed UID for the probe or something. A player might
either mess things up or cheat the challenge by renaming ships, like in the previous mission to rescue a broken ship. One of the ships has extra fuel,
but only the broken ship gives you the bonus for landing it close to the KSC. Renaming them opposite of one another might allow the ship with more
fuel and control to descend down onto the KSC for the bonus credit. So this really goes to show how UID on individual parts might be important with
the mission creator and not just to help fix this bug.

#4 - 03/22/2018 12:55 AM - jclovis3
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Files

KSC in line LOS of crash site.png 528 KB 03/21/2018 jclovis3
